Subject: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Fri, 6 Sep 2013 13:57:05 +0000

This email begins a two week poll to help the chairs judge if there is consensus  to adopt draft-gbclt-nvo3-gap-analysis-00.txt as an NVO3 working group draft.

Please respond to this email on the list with 'support' or 'do not support'.

Please also send any comments on the draft to the NVO3 list.

Please consider whether this draft takes the right basic approach to a gap analysis, and is a good basis for the work going forward (and potential future rechartering). It does not have to be perfect at this stage.

Coincidentally, we are also polling for knowledge of any IPR that applies to this draft, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as a document author or contributor please respond to this email whether or not you are aware of any relevant IPR. The draft will not be adopted until a response has been received from each author and contributor.

If you are on the NVO3 WG email list but are not listed as an author or contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

This poll closes on Friday 20th September.

Regards

Matthew and Benson

---

From: Fabio Maino <[email-masked]>
Date: Fri, 06 Sep 2013 10:56:37 -0700

I think this a good template for an nvo3 gap analysis, however it should 
include LISP [RFC6830] in the list of initial candidate technologies. 
Provided LISP is added to the list, I'd be supporting adoption (...and 
yes, I'm willing to contribute text).

Thanks,
Fabio

On 9/6/13 6:57 AM, Bocci, Matthew (Matthew) wrote:
> This email begins a two week poll to help the chairs judge if there is 
> consensus  to adopt draft-gbclt-nvo3-gap-analysis-00.txt as an NVO3 
> working group draft.
>
> Please consider whether this draft takes the right basic approach to a 
> gap analysis, and is a good basis for the work going forward (and 
> potential future rechartering). It does not have to be perfect at this 
> stage.
>
> Coincidentally, we are also polling for knowledge of any IPR that 
> applies to this draft, to ensure that IPR has been disclosed in 
> compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for 
> more details).
>
> If you are listed as a document author or contributor please respond 
> to this email whether or not you are aware of any relevant IPR. The 
> draft will not be adopted until a response has been received from each 
> author and contributor.
>
> If you are on the NVO3 WG email list but are not listed as an author 
> or contributor, then please explicitly respond only if you are aware 
> of any IPR that has not yet been disclosed in conformance with IETF rules.
>
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3

---

From: Lucy yong <[email-masked]>
Date: Fri, 6 Sep 2013 20:46:53 +0000

Yes, should include LISP as well.
Lucy

From: [email-masked] [mailto:[email-masked]] On Behalf Of Fabio Maino
Sent: Friday, September 06, 2013 12:57 PM
To: [email-masked]
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

I think this a good template for an nvo3 gap analysis, however it should include LISP [RFC6830] in the list of initial candidate technologies. Provided LISP is added to the list, I'd be supporting adoption (...and yes, I'm willing to contribute text).

Thanks,
Fabio

Regards

Matthew and Benson

nvo3 mailing list

[email-masked]<mailto:[email-masked]>

---

From: Eric Gray <[email-masked]>
Date: Mon, 9 Sep 2013 18:49:42 +0000

Support (as an Author).

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, September 06, 2013 9:57 AM
To: [email-masked]
Subject: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Regards

Matthew and Benson

---

From: Tina TSOU <[email-masked]>
Date: Mon, 9 Sep 2013 18:56:27 +0000

Dear all,
I support as an author.

Thank you,
Tina

On Sep 9, 2013, at 11:50 AM, "Eric Gray" <[email-masked]<mailto:[email-masked]>> wrote:

Support (as an Author).

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, September 06, 2013 9:57 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Regards

Matthew and Benson

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 9 Sep 2013 14:42:22 -0500

Support.

Regards,

Behcet

On Fri, Sep 6, 2013 at 8:57 AM, Bocci, Matthew (Matthew) <
[email-masked]> wrote:

> consensus  to adopt draft-gbclt-nvo3-gap-analysis-00.txt as an NVO3 working
> group draft.
>
> gap analysis, and is a good basis for the work going forward (and potential
> future rechartering). It does not have to be perfect at this stage.
>
> applies to this draft, to ensure that IPR has been disclosed in compliance
> with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
>  If you are listed as a document author or contributor please respond to
> this email whether or not you are aware of any relevant IPR. The draft will
> not be adopted until a response has been received from each author and
> contributor.
>
>  If you are on the NVO3 WG email list but are not listed as an author or
> contributor, then please explicitly respond only if you are aware of any
> IPR that has not yet been disclosed in conformance with IETF rules.
>

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 9 Sep 2013 21:50:44 +0000

Eric,

I am a little confused of what to be adopted to WG draft. Most of table entries of the draft are still empty.

Using tabular format to compare data plane requirement might work.  But using tabular format to compare control plane requirement is not so straight forward. For example, can you show tabular format to compare with the following requirement from   "Network Virtualization NVE to NVA CP Reqs"?

How to describe the "gap analysis" in the tabular format?

Linda

From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Monday, September 09, 2013 1:50 PM
To: Bocci, Matthew (Matthew); [email-masked]
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Support (as an Author).

Regards

Matthew and Benson

---

From: Xiaoming chen <[email-masked]>
Date: Mon, 9 Sep 2013 21:55:08 +0000

Support (as an Author)

From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Monday, September 09, 2013 11:50 AM
To: Bocci, Matthew (Matthew); [email-masked]
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Tue, 10 Sep 2013 13:40:57 +0000

Linda,

                Yes, we've talked about the difficulty in this area.  Fortunately, I was one of
the Co-Editors on a CCAMP draft that was similar (see RFC 6373).

                Also, see the 2nd major bullet and its sub-bullets on slide 5 of the presentation
given at IETF 87 (in NVO3) -

                http://www.ietf.org/proceedings/87/slides/slides-87-nvo3-6.ppt

- where we point out deficiencies in the tabular format and how we hope to address
them.

                As has been pointed out, the draft is not expected to be a finished product at
this point.

--
Eric

From: Linda Dunbar [mailto:[email-masked]]
Sent: Monday, September 09, 2013 5:51 PM
To: Eric Gray; Bocci, Matthew (Matthew); [email-masked]
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Eric,

Linda

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Monday, September 09, 2013 1:50 PM
To: Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Tue, 10 Sep 2013 15:14:10 +0000

I am not aware of any IPR that is related to this draft, at this time.

Regards

Matthew and Benson

---

From: Tina TSOU <[email-masked]>
Date: Tue, 10 Sep 2013 16:08:13 +0000

Dear all,
I'm not aware of any IPR related to this draft.

Thank you,
Tina

On Sep 10, 2013, at 8:14 AM, "Eric Gray" <[email-masked]<mailto:[email-masked]>> wrote:

Regards

Matthew and Benson

---

From: Linda Dunbar <[email-masked]>
Date: Tue, 10 Sep 2013 21:56:33 +0000

Eric,

RFC6373 ( MPLS Transport Profile (MPLS-TP) Control Plane Framework) has a long list of requirements (143 of them). Each requirement has a short description which can be easily mapped to RFCs, as is shown in GMPLS and MPLS-TP Requirements Table in Section 4.3 .

Maybe it is feasible to use Table Format to analyze the gaps for NVO3 Data Plane requirement. I see some of the tables under data plane requirement has "Yes" or "no" filled in.

The current NVo3 has defined control plane requirement for interface between Tenant Systems and NVE (almost like the VDP defined in IEEE802.1Qbg), and the requirement for interface between NVE and NVA (like  the LISP mapping database system or TRILL's Directory mechanism). NVGRE/VxLAN don't have those control plane components. The EVPN/L2VPN/L3VPN use BGP for edge nodes to be populated with next hop information. I can't see how feasible it is for Table Format to analyze the NVO3 control plane gaps.

What do you think of having draft-gbclt-nvo3-gap-analysis-is focusing on the  data plane requirement, and move forward to be adopted as WG draft? In addition, the NVO3's nvo3-hypervisor-nve-cp-req is not even WG draft yet, and  draft-ietf-nvo3-nve-nva-cp-req doesn't have those clear short requirements defined as in RFC 6373.

Linda

From: Eric Gray [mailto:[email-masked]]
Sent: Tuesday, September 10, 2013 8:41 AM
To: Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Tue, 10 Sep 2013 22:27:29 +0000

Linda,

                The WG chairs have the privilege/responsibility of choosing a design team
for all specifically chartered WG drafts - especially once they are adopted.  If the
WG chairs are not happy with the way that we are working (possibly as a reflection
of WG dissatisfaction), then they can change either their instructions to the design
team, or the composition of the design team itself.

                The intent (at least according to the charter, and the direction I've received
from the WG chairs) is to have a single GA draft.  One thing that is really not clear
to me is how it is that you think having multiple GA drafts will make any subset of
the gap analysis any easier.

                It is - of course - feasible to use tables to at least provide the outline for gap
analysis for all requirements.  As an existence proof, we could write any arbitrary
amount of text in the draft  about any subset of the requirements, and simply refer
to it by section number(s) in the table.

                This applies to all requirements.  Some may be easier than others.

                One of the things that is (supposed to be) well understood is that the GA
draft cannot come to closure until all of the requirements drafts do so.  As each of
the requirements drafts is adopted by the WG, the intent is that they would be
normative references in the GA draft - thus forcing this ordering relationship.

                The place to complain about the granularity of the requirements is thus in
discussion of the requirements drafts.  The current GA draft is developing parallel
to the requirements drafts and is (as explained early in the draft) structurally driven
by the structure of the requirements drafts.  If the requirements drafts all adopt a
finer grained requirement structure, then the GA draft will of course be modified to
align with the requirements drafts.  If the structure includes numbered requirements
in requirement drafts, then it will do so in the GA draft.

                Ideally, each requirement draft will continue to retain a similar structure
across all such drafts, so that the GA draft doesn't start to lose whatever structure it
has as that will require re-structuring the GA draft with another layer of indirection
(i.e. - providing a uniform structure in the GA draft and then providing a section that
describes the mapping from the GA draft to each of the requirements drafts).

                The GA draft design team has already discussed these alternatives.

                Your observation that NVGRE/VxLAN "don't have those control plane com-
ponents" is exactly the sort of thing that having an analysis table makes patently
obvious.  This is a feature, not a bug.

--
Eric

From: Linda Dunbar [mailto:[email-masked]]
Sent: Tuesday, September 10, 2013 5:57 PM
To: Eric Gray; Bocci, Matthew (Matthew); [email-masked]
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Eric,

Linda

From: Eric Gray [mailto:[email-masked]]
Sent: Tuesday, September 10, 2013 8:41 AM
To: Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Linda,

--
Eric

From: Linda Dunbar [mailto:[email-masked]]
Sent: Monday, September 09, 2013 5:51 PM
To: Eric Gray; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Xuxiaohu <[email-masked]>
Date: Wed, 11 Sep 2013 04:02:54 +0000

发件人: [email-masked] [mailto:[email-masked]] 代表 Linda Dunbar
发送时间: 2013年9月11日 5:57
收件人: Eric Gray; Bocci, Matthew (Matthew); [email-masked]
主题: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Eric,

Maybe it is feasible to use Table Format to analyze the gaps for NVO3 Data Plane requirement. I see some of the tables under data plane requirement has “Yes” or “no” filled in.

The current NVo3 has defined control plane requirement for interface between Tenant Systems and NVE (almost like the VDP defined in IEEE802.1Qbg), and the requirement for interface between NVE and NVA (like  the LISP mapping database system or TRILL’s Directory mechanism). NVGRE/VxLAN don’t have those control plane components. The EVPN/L2VPN/L3VPN use BGP for edge nodes to be populated with next hop information. I can’t see how feasible it is for Table Format to analyze the NVO3 control plane gaps.

What do you think of having draft-gbclt-nvo3-gap-analysis-is focusing on the  data plane requirement, and move forward to be adopted as WG draft? In addition, the NVO3’s nvo3-hypervisor-nve-cp-req is not even WG draft yet, and  draft-ietf-nvo3-nve-nva-cp-req doesn’t have those clear short requirements defined as in RFC 6373.

[Xiaohu] Based on the facts including:

1) there are various flexible combinations of control plane protocols and data plane protocols in practice, e.g., the combination of BGP/L3VPN signaling and VXLAN/NVGRE data encapsulation formats, the combination of BGP/EVPN signaling and VXLAN/VGRE data encapsulation formats;
2) there is an emerging trend of combining a given southbound interface (management plane) protocol with one or more data encapsulation formats without any need for a control plane of the overlays between NVEs;
3) NVGRE is just a data encapsulation format, and VXLAN is almost the same since the underlay multicast requirement seems unacceptable to most operators. (IMHO, it’s unfair and meaningless to compare an engine with a whole car).

it seems more reasonable to totally decouple the data plane comparison from the control plane and management plane comparisons. In other words, it’d better to compare the various data encapsulation formats independent of whatever control plane or management plane protocols to be used with them in the future.

Best regards,
Xiaohu

Linda

Linda,

                Also, see the 2nd major bullet and its sub-bullets on slide 5 of the presentation
given at IETF 87 (in NVO3) –

--
Eric

Eric,

Using tabular format to compare data plane requirement might work.  But using tabular format to compare control plane requirement is not so straight forward. For example, can you show tabular format to compare with the following requirement from   “Network Virtualization NVE to NVA CP Reqs”?

How to describe the “gap analysis” in the tabular format?

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Wed, 11 Sep 2013 13:33:10 +0000

Xiaohu,

                Not sure how this would be simpler in separate documents than in separate
sections of the same document.

                Moreover, it is likely that some (at least) of the comparisons will not be quite
as independent as others.  Where this is the case, having the analysis split up will make
things a great deal more difficult.

--
Eric

From: Xuxiaohu [mailto:[email-masked]]
Sent: Wednesday, September 11, 2013 12:03 AM
To: Linda Dunbar; Eric Gray; Bocci, Matthew (Matthew); [email-masked]
Subject: re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Linda Dunbar
发送时间: 2013年9月11日 5:57
收件人: Eric Gray; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
主题: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Linda Dunbar <[email-masked]>
Date: Wed, 11 Sep 2013 14:47:36 +0000

Here are a couple of the reasons for being “simpler” if separating data plane gap analysis from  control plane gap analysis:

-        NVo3 has separate documents for Data Plane requirement and Control plane requirement.

-        Timing wise, there is Data Plane requirement to be based on. But there is no complete control plane requirement to be based on.

Control plane requirement is not complete yet. Hypervisor<-> NVE control plane requirement is expired, and the NVE-NVA requirement doesn’t have very precise control plane requirement yet. There are even emails discussing NVA<->NVA control plane requirement  which doesn’t have a draft yet.

Therefore, IMHO, it is “easier” to move  draft-gbclt-nvo3-gap-analysis-00.txt to completion (WG adoption/WGLC/RFC) without waiting for control plane requirement being finalized.

Linda

From: [email-masked] [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Wednesday, September 11, 2013 8:33 AM
To: Xuxiaohu; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Wed, 11 Sep 2013 16:59:36 +0000

Linda,

                Thanks for your comments.

                I disagree, but would love to hear from others.  We really need to hear
from others as this discussion is currently going in circles.

                The reason I disagree is that I do not see how it makes much sense to move
part of a gap analysis "to completion" while leaving other parts unfinished.  Suppose
we find "operational" or "security" requirements impact data-plane requirements?

                We cannot be absolutely certain that there will not be dependencies in the
data-plane on aspects of the control plane.

                Plus, I feel almost as if I am having this discussion with folks who have not
even read the table of contents for the GA draft being discussed.  There is more to
it than simply control and data planes.

                In spite of your arguments – both in previous mail, and in the included mail
below – it makes perfect sense to have separate requirements and a combined GA.
It is the combined gap analysis that we need to make decisions about next steps in
progressing the work, not a series of individual gap analyses.

                As I've either implied or explicitly stated before, the instructions I have from
the WG chairs is to work on a single GA draft.  This is also what is called for in the WG
charter.  Nothing I've seen or heard in this discussion makes this any less sensible
than it seemed at any time in the last several months.

                I'm reasonably certain that – in the event that many folks in the WG agree
with you and Xiaohu, for whatever reason – my co-authors and I would be happy
to split the current draft into separate GA drafts (one for each major sub-section in
the current draft and probably one for Security as well).  Since we are designated
as the "GA design team", it would make sense for us to continue with each of the
new drafts.

                But first, let's hear reasonable arguments from others…

--
Eric

From: Linda Dunbar [mailto:[email-masked]]
Sent: Wednesday, September 11, 2013 10:48 AM
To: Eric Gray; Xuxiaohu; Bocci, Matthew (Matthew); [email-masked]
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Linda

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Wednesday, September 11, 2013 8:33 AM
To: Xuxiaohu; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Xiaohu,

--
Eric

From: Xuxiaohu [mailto:[email-masked]]
Sent: Wednesday, September 11, 2013 12:03 AM
To: Linda Dunbar; Eric Gray; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 12 Sep 2013 00:53:52 +0000

+1

Xiaohu

发件人: Linda Dunbar
发送时间: 2013年9月11日 22:48
收件人: Eric Gray; Xuxiaohu; Bocci, Matthew (Matthew); [email-masked]
主题: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Linda

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Xuxiaohu <[email-masked]>
Date: Thu, 12 Sep 2013 01:17:37 +0000

Eric,

I didn’t mean splitting them into separate docs. Instead, it’s fine to describe them in one doc as the WG had decided. However, it should decouple the data plane comparison independent of whatever control plane or management plane protocols to be used with them in the future. In other words, for layer2 overlay encapsulations, VXLAN/NVGRE should be compared with MAC-in-MPLS-in-IP/MPLS, rather than VPLS or EVPN.

Best regards,
Xiaohu

发件人: Eric Gray [mailto:[email-masked]]
发送时间: 2013年9月11日 21:33
收件人: Xuxiaohu; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
主题: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Thu, 12 Sep 2013 14:28:08 +0000

This makes sense.  Thanks for the suggestion!

--
Eric

From: Xuxiaohu [mailto:[email-masked]]
Sent: Wednesday, September 11, 2013 9:18 PM
To: Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
Subject: re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Eric,

Best regards,
Xiaohu

发件人: Eric Gray [mailto:[email-masked]]
发送时间: 2013年9月11日 21:33
收件人: Xuxiaohu; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
主题: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: "Yves Hertoghs (yhertogh)" <[email-masked]>
Date: Thu, 12 Sep 2013 15:53:25 +0000

I agree this would make the gap analysis a whole lot more readable

Yves

From: Eric Gray <[email-masked]<mailto:[email-masked]>>
Date: Thursday 12 September 2013 16:28
To: Xuxiaohu <[email-masked]<mailto:[email-masked]>>, Linda Dunbar <[email-masked]<mailto:[email-masked]>>, Matthew Bocci <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

--
Eric

From: Xuxiaohu [mailto:[email-masked]]
Sent: Wednesday, September 11, 2013 9:18 PM
To: Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

发件人:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Linda Dunbar
发送时间: 2013年9月11日 5:57
收件人: Eric Gray; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
主题: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

From:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Eric Gray
Sent: Monday, September 09, 2013 1:50 PM
To: Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Support (as an Author).

From:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, September 06, 2013 9:57 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Regards

Matthew and Benson

---

From: Zu Qiang <[email-masked]>
Date: Thu, 12 Sep 2013 16:14:57 +0000

Hello, Xiaohu
                Just for my clarifications, why we need to do the comparison between  VXLAN/NVGRE and MAC-in-MPLS-in-IP/MPLS? Is the draft used to do the gap analysis by comparing the NVO3 requirements with any available technology solutions?

Have a nice day
Zu Qiang

From: [email-masked] [mailto:[email-masked]] On Behalf Of Xuxiaohu
Sent: Wednesday, September 11, 2013 9:18 PM
To: Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Thu, 12 Sep 2013 17:22:54 +0000

Xiaohu,

                Just to be certain, I had interpreted your comment to mean that data-plane
technologies/approaches should be compared against requirements – not directly
against each other – when performing a gap analysis.

                The main thrust of your comment was (I believe) that data-plane analysis
should be independent (to the extent that it is practical to do so) of control-plane
analysis, not that the Gap Analysis should directly compare data-plane solutions
against each other.

                Is this correct?

                Are you prepared to suggest text?

--
Eric

From: Zu Qiang
Sent: Thursday, September 12, 2013 12:15 PM
To: Xuxiaohu; Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Hello, Xiaohu

Have a nice day
Zu Qiang

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Xuxiaohu
Sent: Wednesday, September 11, 2013 9:18 PM
To: Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Xuxiaohu <[email-masked]>
Date: Fri, 13 Sep 2013 01:37:49 +0000

Hi Eric,

发件人: Eric Gray [mailto:[email-masked]]
发送时间: 2013年9月13日 1:23
收件人: Xuxiaohu
抄送: Zu Qiang; Bocci, Matthew (Matthew); [email-masked]
主题: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Xiaohu,

                Is this correct?

[Xiaohu] Yes.

[Xiaohu] Yes, I will do that soon.

Best regards,
Xiaohu
--
Eric

From: Zu Qiang

Hello, Xiaohu

Have a nice day
Zu Qiang

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Xuxiaohu <[email-masked]>
Date: Fri, 13 Sep 2013 01:56:06 +0000

Hi Zu,

I meant comparing VXLAN, NVGRE and MAC-in-MPLS-in-IP/MPLS with the NVo3 data plane requirements. Sorry for confusion.

Best regards,
Xiaohu

发件人: Zu Qiang [mailto:[email-masked]]
发送时间: 2013年9月13日 0:15
收件人: Xuxiaohu; Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]
主题: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Hello, Xiaohu

Have a nice day
Zu Qiang

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: "Larry Kreeger (kreeger)" <[email-masked]>
Date: Fri, 13 Sep 2013 03:00:36 +0000

Short answer: Support.

Longer answer: I support the adoption of a draft for the WG chair appointed team to use, and this draft is clearly a very early start at doing that.  I trust that the team, with input from the WG will move this forward.  We need to start somewhere and this might as well be the starting point.

 - Larry

From: <Bocci>, "Matthew (Matthew)" <[email-masked]<mailto:[email-masked]>>
Date: Friday, September 6, 2013 6:57 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Regards

Matthew and Benson

---

From: Thomas Narten <[email-masked]>
Date: Fri, 13 Sep 2013 12:46:38 -0400

+1 for WG adoption, and also think we should continue to aim for one
Gap Analysis document.

Thomas

> Longer answer: I support the adoption of a draft for the WG chair
>  appointed team to use, and this draft is clearly a very early start
>  at doing that.  I trust that the team, with input from the WG will
>  move this forward.  We need to start somewhere and this might as
>  well be the starting point.

---

From: Zu Qiang <[email-masked]>
Date: Fri, 13 Sep 2013 19:07:20 +0000

+1.

Have a nice day
Zu Qiang

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf Of
>Thomas Narten
>Sent: Friday, September 13, 2013 12:47 PM
>To: Larry Kreeger (kreeger)
>Cc: Bocci, Matthew (Matthew); [email-masked]
>> move this forward.  We need to start somewhere and this might as  well
>> be the starting point.
>
>>  - Larry
>

---

From: Greg Mirsky <[email-masked]>
Date: Fri, 13 Sep 2013 13:20:09 -0700

yes/support

Regards,
Greg

---

From: Jon Hudson <[email-masked]>
Date: Fri, 13 Sep 2013 18:00:58 -0700

Support Adoption 

On Sep 13, 2013, at 1:20 PM, Greg Mirsky <[email-masked]> wrote:

> yes/support
> 
> Regards,
> Greg
> 
> 
> On Fri, Sep 6, 2013 at 6:57 AM, Bocci, Matthew (Matthew) <[email-masked]> wrote:

---

From: Xuxiaohu <[email-masked]>
Date: Sat, 14 Sep 2013 03:27:12 +0000

Hi Eric and other co-authors,

The following are my comments on draft-gbclt-nvo3-gap-analysis-00, FYI.

1. As Truman and I had pointed out before , L3VPN [RFC4364] ALONE is not suitable to be a candidate solution for NVo3.
(for more details, please see http://www.ietf.org/mail-archive/web/l3vpn/current/msg03730.html and http://www.ietf.org/mail-archive/web/l3vpn/current/msg03732.html )

2. Detailed comments on data plane gap analysis section:

1)  (3.1) Virtual Access Points (VAPs):The requirement items should be categorized into: 1) VAP identification using local interface; 2) VAP identification using local interface and some fields in the frame header (e.g., VLAN tag)
2)  (3.2) Virtual Network Instance (VNI): Table 8: "VAP-VNI Association" makes less sense and therefore it should be removed.
3)  (3.2.1) L2 VNI: the last requirement item of this section, i.e., "In this latter case, the NVE MUST be able to build at least a default flooding tree per VNI", is not accurate since multiple VNs may share a single multicast tree.
4)  (3.3.1) NVO3 overlay header: Table 11: "Overlay Header" makes less sense and therefore it should be removed.
5)  (3.4) External NVO3 connectivity : It seem reasonable to add 3.4.2.1. Triangular Routing Issues (Traffic Tromboning) into the GA doc since it is very important.
6)  "Hierarchical NVE" described in section 3.6 of the data-plane req doc is missed in the GA doc.

Best regards,
Xiaohu

Xiaohu,

                Is this correct?

--
Eric

From: Zu Qiang

Hello, Xiaohu

Have a nice day
Zu Qiang

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Eric Gray <[email-masked]>
Date: Mon, 16 Sep 2013 21:35:47 +0000

Xiaohu,

                We will discuss these comments/suggestions and get back to you.

                Thanks again for your comments.

                Presumably you have more suggestions to make, as you had said
you would have text proposals for comparing various data-plane alternatives
against data-plane requirements.

--
Eric

From: Xuxiaohu [mailto:[email-masked]]
Sent: Friday, September 13, 2013 11:27 PM
To: Eric Gray
Cc: Zu Qiang; Bocci, Matthew (Matthew); [email-masked]
Subject: re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Best regards,
Xiaohu

发件人: Eric Gray [mailto:[email-masked]]
发送时间: 2013年9月13日 1:23
收件人: Xuxiaohu
抄送: Zu Qiang; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
主题: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Xiaohu,

                Is this correct?

--
Eric

From: Zu Qiang
Sent: Thursday, September 12, 2013 12:15 PM
To: Xuxiaohu; Eric Gray; Linda Dunbar; Bocci, Matthew (Matthew); [email-masked]<mailto:[email-masked]>
Subject: RE: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt
Importance: High

Hello, Xiaohu

Have a nice day
Zu Qiang

Eric,

Best regards,
Xiaohu

Xiaohu,

--
Eric

Eric,

Best regards,
Xiaohu

Linda

Linda,

--
Eric

Eric,

Linda

Support (as an Author).

Regards

Matthew and Benson

---

From: Xiaoming chen <[email-masked]>
Date: Mon, 16 Sep 2013 22:20:24 +0000

I am not aware of any IPR which is related to this draft.

Thanks,
Xiaoming

From: [email-masked] [mailto:[email-masked]] On Behalf Of Tina TSOU
Sent: Tuesday, September 10, 2013 9:08 AM
To: Eric Gray
Cc: Bocci, Matthew (Matthew); [email-masked]
Subject: Re: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Dear all,

Thank you,
Tina

Regards

Matthew and Benson

---

From: "LASSERRE, MARC (MARC)" <[email-masked]>
Date: Tue, 17 Sep 2013 05:50:26 +0000

Support as a co-author. I am not aware of any IPR issues.

Marc

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, September 06, 2013 3:57 PM
To: [email-masked]
Subject: [nvo3] Poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Regards

Matthew and Benson

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Fri, 20 Sep 2013 13:40:01 +0000

This email concludes the adoption poll for this draft. The chairs believe that there is sufficient consensus that the draft should be adopted, and that the basic approach that it takes to the gap analysis is reasonable. Please can the authors upload a new version, with the content as-is, and the draft name changed to draft-ietf-nvo3-gap-analysis-00.txt.

However, there were some comments and discussion  around the candidate technologies, and where they fit (control plane, data plane etc) in the draft. Please can the authors address these comments in a subsequent revision (v01) of the WG draft as soon as possible.

Regards

Mathew and Benson.

On 06/09/2013 14:57, "Bocci, Matthew (Matthew)" <[email-masked]<mailto:[email-masked]>> wrote:

Regards

Matthew and Benson

---

From: Lucy yong <[email-masked]>
Date: Fri, 20 Sep 2013 16:46:22 +0000

Matthew and Benson,

I would like to get a clarification from you. Have you with Chair head decided single gap analysis draft (of course, this is the draft) for the WG or not?

In IETF 87, you expressed that this draft may serve as a scorecard draft for the gap analysis and expect some individual solution related gap analysis WG drafts as well. During this adoption process, some are in favor of one single gap analysis WG document, some like to see more. Since this process is very governed by the chairs. It is necessary for you to clarify on that, so people can work toward to the same and clear goal.

Cheers/Regards,
Lucy

From: [email-masked] [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Friday, September 20, 2013 8:40 AM
To: Bocci, Matthew (Matthew); [email-masked]
Subject: [nvo3] Conclusion of poll for adoption and IPR check: draft-gbclt-nvo3-gap-analysis-00.txt

Regards

Mathew and Benson.

Regards

Matthew and Benson